If you use pynucastro, please CITE the "2.0" paper _and_ the latest
Zenodo DOI.  You can also cite the JOSS paper.


Astrophysical Journal ("2.0 paper:): https://iopscience.iop.org/article/10.3847/1538-4357/acbaff


```
@ARTICLE{pynucastro2,
doi = {10.3847/1538-4357/acbaff},
url = {https://dx.doi.org/10.3847/1538-4357/acbaff},
year = {2023},
month = {apr},
publisher = {The American Astronomical Society},
volume = {947},
number = {2},
pages = {65},
author = {Alexander I. Smith and Eric T. Johnson and Zhi Chen and
          Kiran Eiden and Donald E. Willcox and Brendan Boyd and
          Lyra Cao and Christopher J. DeGrendele and Michael Zingale},
title = {pynucastro: A Python Library for Nuclear Astrophysics},
journal = {The Astrophysical Journal},
abstract = {We describe pynucastro 2.0, an open-source library for
            interactively creating and exploring astrophysical nuclear
            reaction networks.  We demonstrate new methods for
            approximating rates and use detailed balance to create
            reverse rates, show how to build networks and determine
            whether they are appropriate for a particular science application,
            and discuss the changes made to the library over the past few
            years. Finally, we demonstrate the validity of the networks
            produced and share how we use pynucastro networks in simulation
            codes.}
}
```


JOSS: https://joss.theoj.org/papers/10.21105/joss.00588

```
@article{pynucastro,
   author = {{Willcox}, D.~E. and {Zingale}, M.},
    title = "{pynucastro: an interface to nuclear reaction rates and code generator for reaction network equations}",
  journal = {Journal of Open Source Software},
     year = 2018,
   volume = 3,
   number = 23,
   pages = 588,
     url = {https://doi.org/10.21105/joss.00588},
     doi = {10.21105/joss.00588},
 subject = {nuclear astrophysics}
}
```

Zenodo:

The latest version is always here:
https://doi.org/10.5281/zenodo.1202434

```
@software{the_pynucastro_development_2022_7239007,
  author       = {the pynucastro development and
                  Boyd, Brendan and
                  Cao, Lyra and
                  Chen, Zhi and
                  Eiden, Kiran and
                  Johnson, Eric and
                  Li, Xinlong and
                  Smith Clark, Alexander and
                  Willcox, Donald and
                  Zingale, Michael},
  title        = {pynucastro/pynucastro: pynucastro 2.0.2},
  month        = oct,
  year         = 2022,
  publisher    = {Zenodo},
  version      = {2.0.2},
  doi          = {10.5281/zenodo.7239007},
  url          = {https://doi.org/10.5281/zenodo.7239007}
}
```
